summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2017-11-17 17:32:55 -0600
committerNarinder Gupta <narinder.gupta@canonical.com>2017-11-17 17:36:11 -0600
commitab10f090847a88679bd5fd9597aae388f01f7e2e (patch)
treebce90adf547dd3f9e36390e18d6ed585198400ff
parentb973cc460119284c4adb0e8489f843d29bc7e44b (diff)
modified to correct the labconfig.yaml and reserver more ip.
Change-Id: If88127b0a69186cc27a875c2ae544328e088dfd9 Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
-rwxr-xr-xci/03-maasdeploy.sh25
-rw-r--r--labconfig/intel/pod18/labconfig.yaml43
2 files changed, 45 insertions, 23 deletions
diff --git a/ci/03-maasdeploy.sh b/ci/03-maasdeploy.sh
index f55c39af..3004e0a0 100755
--- a/ci/03-maasdeploy.sh
+++ b/ci/03-maasdeploy.sh
@@ -251,6 +251,10 @@ configuremaas(){
maas $PROFILE tags create name=$tag || true
done
+ #below tag would be used to enable huge pages for DPDK and SRIOV enablement in Ubuntu kernel via MAAS
+ maas $PROFILE tags create name='opnfv-dpdk' comment='OPNFV DPDK enablement' \
+ kernel_opts='hugepagesz=2M hugepages=1024 hugepagesz=1G hugepages=20 default_hugepagesz=1G intel_iommu=on'
+
#create the required spaces.
maas $PROFILE space update 0 name=default || true
for space in admin-api internal-api public-api \
@@ -369,6 +373,27 @@ setupspacenetwork(){
PRIMARY_RACK_CONTROLLER=$(maas $PROFILE rack-controllers read | jq -r '.[0].system_id')
maas $PROFILE vlan update $NET_FABRIC_ID $NET_FABRIC_VID dhcp_on=True primary_rack=$PRIMARY_RACK_CONTROLLER || true
fi
+ elif ([ $type == "public" ] || [ $type == "osapi" ]); then
+ # If we have a network, we create reserve IPS for public IP range
+ if ([ $NET_FABRIC_ID ]); then
+ # Set ranges
+ SUBNET_PREFIX=${SPACE_CIDR::-5}
+ IP_RES_RANGE_LOW="$SUBNET_PREFIX.1"
+ IP_RES_RANGE_HIGH="$SUBNET_PREFIX.39"
+ maas $PROFILE ipranges create type=reserved \
+ start_ip=$IP_RES_RANGE_LOW end_ip=$IP_RES_RANGE_HIGH \
+ comment='This is a reserved range' || true
+ fi
+ else
+ if ([ $NET_FABRIC_ID ]); then
+ # Set ranges
+ SUBNET_PREFIX=${SPACE_CIDR::-5}
+ IP_RES_RANGE_LOW="$SUBNET_PREFIX.1"
+ IP_RES_RANGE_HIGH="$SUBNET_PREFIX.5"
+ maas $PROFILE ipranges create type=reserved \
+ start_ip=$IP_RES_RANGE_LOW end_ip=$IP_RES_RANGE_HIGH \
+ comment='This is a reserved range' || true
+ fi
fi
done
}
diff --git a/labconfig/intel/pod18/labconfig.yaml b/labconfig/intel/pod18/labconfig.yaml
index b5990a66..2cb83d20 100644
--- a/labconfig/intel/pod18/labconfig.yaml
+++ b/labconfig/intel/pod18/labconfig.yaml
@@ -16,9 +16,9 @@ lab:
- ifname: intf3
spaces: [floating]
mac: ["A4:BF:01:14:40:16"]
-# - ifname: intf2.1183
-# spaces: [public]
-# mac: ["3c:fd:fe:a4:9f:a1"]
+ - ifname: intf2.1183
+ spaces: [public]
+ mac: ["3c:fd:fe:a4:9f:a1"]
- ifname: intf2
spaces: [storage]
mac: ["3c:fd:fe:a4:9f:a1"]
@@ -40,9 +40,9 @@ lab:
- ifname: intf3
spaces: [floating]
mac: ["A4:BF:01:16:31:1e"]
-# - ifname: intf2.1183
-# spaces: [public]
-# mac: ["3c:fd:fe:a4:a0:31"]
+ - ifname: intf2.1183
+ spaces: [public]
+ mac: ["3c:fd:fe:a4:a0:31"]
- ifname: intf2
spaces: [storage]
mac: ["3c:fd:fe:a4:a0:31"]
@@ -64,9 +64,9 @@ lab:
- ifname: intf3
spaces: [floating]
mac: ["A4:BF:01:16:30:F6"]
-# - ifname: intf2.1183
-# spaces: [public]
-# mac: ["3c:fd:fe:a4:9e:49"]
+ - ifname: intf2.1183
+ spaces: [public]
+ mac: ["3c:fd:fe:a4:9e:49"]
- ifname: intf2
spaces: [storage]
mac: ["3c:fd:fe:a4:9e:49"]
@@ -88,9 +88,9 @@ lab:
- ifname: intf3
spaces: [floating]
mac: ["A4:BF:01:14:72:0D"]
-# - ifname: intf2.1183
-# spaces: [public]
-# mac: ["3c:fd:fe:a4:9d:e9"]
+ - ifname: intf2.1183
+ spaces: [public]
+ mac: ["3c:fd:fe:a4:9d:e9"]
- ifname: intf2
spaces: [storage]
mac: ["3c:fd:fe:a4:9d:e9"]
@@ -112,9 +112,9 @@ lab:
- ifname: intf3
spaces: [floating]
mac: ["A4:BF:01:14:71:68"]
-# - ifname: intf2.1183
-# spaces: [public]
-# mac: ["3c:fd:fe:a4:a1:09"]
+ - ifname: intf2.1183
+ spaces: [public]
+ mac: ["3c:fd:fe:a4:a1:09"]
- ifname: intf2
spaces: [storage]
mac: ["3c:fd:fe:a4:a1:09"]
@@ -142,15 +142,13 @@ opnfv:
- type: admin
bridge: brAdm
cidr: 10.10.181.0/24
- gateway: 10.10.181.1
+ gateway: 10.10.181.2
vlan:
- type: data
- #bridge: brData
cidr: 10.10.182.0/24
gateway:
vlan:
- type: storage
- #bridge: brStor
cidr: 10.10.183.0/24
gateway:
vlan:
@@ -159,8 +157,7 @@ opnfv:
cidr: 10.10.180.0/24
gateway:
vlan:
-# - type: public
-# #bridge: brPublic
-# cidr: 10.10.185.0/24
-# gateway:
-# vlan: 1183
+ - type: public
+ cidr: 10.10.185.0/24
+ gateway: 10.10.185.1
+ vlan: 1183